VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::networking::ProxyStub Class Reference

Remote stub implementation of the Proxy API service. More...

Inherits vmware::appliance::techpreview::networking::Proxy.

List of all members.

## Public Member Functions
| ProxyStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
vmware.appliance.techpreview.networking.ProxyTypes.TestStatusInfo | Test (vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfigTest config)
| Test a Proxy configuration by testing the connection to the proxy server and test host.
vmware.appliance.techpreview.networking.ProxyTypes.TestStatusInfo | Test (vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfigTest config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Test a Proxy configuration by testing the connection to the proxy server and test host.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.networking.ProxyTypes.TestStatusInfo > | TestAsync (vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfigTest config)
| Test a Proxy configuration by testing the connection to the proxy server and test host.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.networking.ProxyTypes.TestStatusInfo > | TestAsync (vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfigTest config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Test a Proxy configuration by testing the connection to the proxy server and test host.
void | Set (vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfigMultiple config)
| Set Proxy configuration.
void | Set (vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfigMultiple config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set Proxy configuration.
global::System.Threading.Tasks.Task | SetAsync (vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfigMultiple config)
| Set Proxy configuration.
global::System.Threading.Tasks.Task | SetAsync (vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfigMultiple config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set Proxy configuration.
void | Delete (vmware.appliance.techpreview.networking.ProxyTypes.ProxyProtocol protocol)
| Delete a Proxy configuration for a specific protocol.
void | Delete (vmware.appliance.techpreview.networking.ProxyTypes.ProxyProtocol protocol, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Delete a Proxy configuration for a specific protocol.
global::System.Threading.Tasks.Task | DeleteAsync (vmware.appliance.techpreview.networking.ProxyTypes.ProxyProtocol protocol)
| Delete a Proxy configuration for a specific protocol.
global::System.Threading.Tasks.Task | DeleteAsync (vmware.appliance.techpreview.networking.ProxyTypes.ProxyProtocol protocol, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Delete a Proxy configuration for a specific protocol.
vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfigMultiple | Get ()
| Get proxy configuration for all protocols.
vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfigMultiple | Get (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get proxy configuration for all protocols.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfigMultiple > | GetAsync ()
| Get proxy configuration for all protocols.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfigMultiple > | GetAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get proxy configuration for all protocols.

## Detailed Description

Remote stub implementation of the Proxy API service.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::networking::ProxyStub::ProxyStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

void vmware::appliance::techpreview::networking::ProxyStub::Delete | ( | vmware.appliance.techpreview.networking.ProxyTypes.ProxyProtocol | protocol | ) | `[inline]`

Delete a Proxy configuration for a specific protocol.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  protocol | Protocol to delete proxy of.

Implements vmware::appliance::techpreview::networking::Proxy.

void vmware::appliance::techpreview::networking::ProxyStub::Delete | ( | vmware.appliance.techpreview.networking.ProxyTypes.ProxyProtocol | protocol,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Delete a Proxy configuration for a specific protocol.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  protocol | Protocol to delete proxy of.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::networking::Proxy.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::networking::ProxyStub::DeleteAsync | ( | vmware.appliance.techpreview.networking.ProxyTypes.ProxyProtocol | protocol | ) | `[inline]`

Delete a Proxy configuration for a specific protocol.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  protocol | Protocol to delete proxy of.

Implements vmware::appliance::techpreview::networking::Proxy.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::networking::ProxyStub::DeleteAsync | ( | vmware.appliance.techpreview.networking.ProxyTypes.ProxyProtocol | protocol,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Delete a Proxy configuration for a specific protocol.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  protocol | Protocol to delete proxy of.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::networking::Proxy.

vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfigMultiple vmware::appliance::techpreview::networking::ProxyStub::Get | ( |  | ) | `[inline]`

Get proxy configuration for all protocols.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  proxy configuration for all protocols.

Implements vmware::appliance::techpreview::networking::Proxy.

vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfigMultiple vmware::appliance::techpreview::networking::ProxyStub::Get | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get proxy configuration for all protocols.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  proxy configuration for all protocols.

Implements vmware::appliance::techpreview::networking::Proxy.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfigMultiple> vmware::appliance::techpreview::networking::ProxyStub::GetAsync | ( |  | ) | `[inline]`

Get proxy configuration for all protocols.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  proxy configuration for all protocols.

Implements vmware::appliance::techpreview::networking::Proxy.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfigMultiple> vmware::appliance::techpreview::networking::ProxyStub::GetAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get proxy configuration for all protocols.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  proxy configuration for all protocols.

Implements vmware::appliance::techpreview::networking::Proxy.

void vmware::appliance::techpreview::networking::ProxyStub::Set | ( | vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfigMultiple | config | ) | `[inline]`

Set Proxy configuration.

In order for this configuration to take effect a logout is required.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | List of Proxy configurations to be set.

Implements vmware::appliance::techpreview::networking::Proxy.

void vmware::appliance::techpreview::networking::ProxyStub::Set | ( | vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfigMultiple | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Set Proxy configuration.

In order for this configuration to take effect a logout is required.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | List of Proxy configurations to be set.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::networking::Proxy.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::networking::ProxyStub::SetAsync | ( | vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfigMultiple | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Set Proxy configuration.

In order for this configuration to take effect a logout is required.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | List of Proxy configurations to be set.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::networking::Proxy.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::networking::ProxyStub::SetAsync | ( | vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfigMultiple | config | ) | `[inline]`

Set Proxy configuration.

In order for this configuration to take effect a logout is required.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | List of Proxy configurations to be set.

Implements vmware::appliance::techpreview::networking::Proxy.

vmware.appliance.techpreview.networking.ProxyTypes.TestStatusInfo vmware::appliance::techpreview::networking::ProxyStub::Test | ( | vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfigTest | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Test a Proxy configuration by testing the connection to the proxy server and test host.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Proxy configuration to test
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Status of proxy settings.

Implements vmware::appliance::techpreview::networking::Proxy.

vmware.appliance.techpreview.networking.ProxyTypes.TestStatusInfo vmware::appliance::techpreview::networking::ProxyStub::Test | ( | vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfigTest | config | ) | `[inline]`

Test a Proxy configuration by testing the connection to the proxy server and test host.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Proxy configuration to test

Returns:
  Status of proxy settings.

Implements vmware::appliance::techpreview::networking::Proxy.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.networking.ProxyTypes.TestStatusInfo> vmware::appliance::techpreview::networking::ProxyStub::TestAsync | ( | vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfigTest | config | ) | `[inline]`

Test a Proxy configuration by testing the connection to the proxy server and test host.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Proxy configuration to test

Returns:
  Status of proxy settings.

Implements vmware::appliance::techpreview::networking::Proxy.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.networking.ProxyTypes.TestStatusInfo> vmware::appliance::techpreview::networking::ProxyStub::TestAsync | ( | vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfigTest | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Test a Proxy configuration by testing the connection to the proxy server and test host.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Proxy configuration to test
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Status of proxy settings.

Implements vmware::appliance::techpreview::networking::Proxy.

The documentation for this class was generated from the following file:

- ProxyStub.cs